<template>
  <vxe-table :data="tableData" :height="450" border>
    <vxe-column type="seq" width="70"></vxe-column>
    <vxe-column field="Title" title="标题"></vxe-column>
    <vxe-column field="FlowName" title="流程名称"></vxe-column>
    <vxe-column field="NodeName" title="停留节点"></vxe-column>
    <vxe-column field="StarterName" title="发起人"></vxe-column>
    <vxe-column field="DeptName" title="部门"></vxe-column>
    <vxe-column field="RDT" title="发起日期"></vxe-column>
    <vxe-column field="TodoEmps" title="当前处理人"></vxe-column>
  </vxe-table>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { defHttp } from '/@/utils/http/axios';
const apiUrl = '/workflow/running';

interface RowVO {
  Title: string,
  FlowName: string,
  NodeName: string,
  StarterName: string,
  DeptName: string,
  RDT:Date,
  TodoEmps:string
}

const tableData = ref<RowVO[]>([])

async function setList() {
  const res = await defHttp.get({ url: apiUrl});
  if(res.code==200) {
    tableData.value = JSON.parse(res.data);
  }
}

setList()
</script>
